package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterRiverWaterLevel;
import com.lightinit.hsdatashow.entity.StWaterRiverWaterLevelExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterRiverWaterLevelMapper {
    long countByExample(StWaterRiverWaterLevelExample example);

    int deleteByExample(StWaterRiverWaterLevelExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterRiverWaterLevel record);

    int insertSelective(StWaterRiverWaterLevel record);

    List<StWaterRiverWaterLevel> selectByExample(StWaterRiverWaterLevelExample example);

    StWaterRiverWaterLevel selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterRiverWaterLevel record, @Param("example") StWaterRiverWaterLevelExample example);

    int updateByExample(@Param("record") StWaterRiverWaterLevel record, @Param("example") StWaterRiverWaterLevelExample example);

    int updateByPrimaryKeySelective(StWaterRiverWaterLevel record);

    int updateByPrimaryKey(StWaterRiverWaterLevel record);
}